[hardy] news website consistently freezes epiphany

Bug #181631 reported by Jos Dehaes on 2008-01-09
4
Affects Status Importance Assigned to Milestone
xulrunner-1.9 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: epiphany-browser

When surfing to belgian news site www.standaard.be, epiphany freezes every time.

Jos Dehaes (jos-dehaes) wrote :
Download full text (11.8 KiB)

backtrace:

jos@hamerkeuh:~$ epiphany

** (epiphany-browser:13813): WARNING **: libgtkembedmoz.so: cannot open shared object file: No such file or directory

** (epiphany-browser:13813): WARNING **: Could not load extension file at /usr/lib/epiphany-gecko/2.21/extensions/liberrorviewerextension.so

** (epiphany-browser:13813): WARNING **: libgtkembedmoz.so: cannot open shared object file: No such file or directory

** (epiphany-browser:13813): WARNING **: Could not load extension file at /usr/lib/epiphany-gecko/2.21/extensions/libpageinfoextension.so

** (epiphany-browser:13813): WARNING **: libgtkembedmoz.so: cannot open shared object file: No such file or directory

** (epiphany-browser:13813): WARNING **: Could not load extension file at /usr/lib/epiphany-gecko/2.21/extensions/libjavaconsoleextension.so

** (epiphany-browser:13813): WARNING **: Could not determine locale 111!

(epiphany-browser:13813): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.15.1/gobject/gsignal.c:1669: signal `ge-location' is invalid for instance `0x8746000'
LoadPlugin: failed to initialize shared library /usr/lib/totem/gstreamer/libtotem-complex-plugin.so [/usr/lib/totem/gstreamer/libtotem-complex-plugin.so: undefined symbol: _ZN13nsTArray_base9sEmptyHdrE]
*** glibc detected *** epiphany-browser: corrupted double-linked list: 0x0863b3f0 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb6ee2039]
/lib/tls/i686/cmov/libc.so.6[0xb6ee3dcd]
/lib/tls/i686/cmov/libc.so.6(__libc_malloc+0x8d)[0xb6ee5b9d]
/usr/lib/libglib-2.0.so.0(g_try_malloc+0x33)[0xb712bba3]
/usr/lib/libgdk_pixbuf-2.0.so.0(gdk_pixbuf_new+0xac)[0xb7672e0c]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xaffafcf0]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xaffb0187]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xaff79702]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xaff61b0c]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xaff8f540]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xaff901f0]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xaff9054e]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb02a0550]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb029fd5b]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb02a108d]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb029fd5b]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb02a108d]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb029fd5b]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb02a108d]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb020ccab]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb021088a]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb032d162]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb0331738]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb0331915]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xafeda55d]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xb033c8df]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xaffb663b]
/usr/lib/flashplugin-nonfree/libflashplayer.so[0xafeda01e]
/usr/lib/libglib-2.0.so.0[0xb7124506]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x176)[0xb7123d96]
/usr/lib/libglib-2.0.so.0[0xb7127153]
/usr/lib/libglib-2.0.so.0(g_main_context_iteration+0x6e)[...

Jos Dehaes (jos-dehaes) wrote :
Download full text (9.7 KiB)

I tried with flashplugin-nonfree disabled, and with gnash, always freezes epiphany.

here is a backtrace with no flash plugin whatsoever:

jos@hamerkeuh:~$ epiphany

** (epiphany-browser:14229): WARNING **: libgtkembedmoz.so: cannot open shared object file: No such file or directory

** (epiphany-browser:14229): WARNING **: Could not load extension file at /usr/lib/epiphany-gecko/2.21/extensions/liberrorviewerextension.so

** (epiphany-browser:14229): WARNING **: libgtkembedmoz.so: cannot open shared object file: No such file or directory

** (epiphany-browser:14229): WARNING **: Could not load extension file at /usr/lib/epiphany-gecko/2.21/extensions/libpageinfoextension.so

** (epiphany-browser:14229): WARNING **: libgtkembedmoz.so: cannot open shared object file: No such file or directory

** (epiphany-browser:14229): WARNING **: Could not load extension file at /usr/lib/epiphany-gecko/2.21/extensions/libjavaconsoleextension.so

** (epiphany-browser:14229): WARNING **: Could not determine locale 111!

(epiphany-browser:14229): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.15.1/gobject/gsignal.c:1669: signal `ge-location' is invalid for instance `0x82928b8'
LoadPlugin: failed to initialize shared library /usr/lib/totem/gstreamer/libtotem-complex-plugin.so [/usr/lib/totem/gstreamer/libtotem-complex-plugin.so: undefined symbol: _ZN13nsTArray_base9sEmptyHdrE]
*** glibc detected *** epiphany-browser: double free or corruption (!prev): 0x08c23220 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb6f4b975]
/lib/tls/i686/cmov/libc.so.6(cfree+0x90)[0xb6f4f3e0]
/usr/lib/xulrunner-1.9b3pre/libmozjs.so[0xb5b8b665]
/usr/lib/xulrunner-1.9b3pre/libmozjs.so[0xb5b46471]
/usr/lib/xulrunner-1.9b3pre/libmozjs.so(JS_GC+0x3a)[0xb5b1d1ea]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb4e620b5]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb5859c80]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb5859cfe]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb53153a9]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb5315436]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb5315488]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb5315687]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb584f450]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb584f528]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb584c467]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb580de87]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb575b046]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb5746fcc]
/usr/lib/libglib-2.0.so.0[0xb71c037d]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x176)[0xb718bd96]
/usr/lib/libglib-2.0.so.0[0xb718f153]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1e7)[0xb718f537]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0xb78d58d4]
epiphany-browser(main+0x74d)[0x807628d]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe0)[0xb6ef6450]
epiphany-browser[0x8075851]
======= Memory map: ========
08048000-08158000 r-xp 00000000 08:02 114317 /usr/bin/epiphany-gecko
08158000-08163000 rwxp 0010f000 08:02 114317 /usr/bin/epiphany-gecko
08163000-0930a000 rwxp 08163000 00:00 0 [heap]
afcd8000-afcec000 rwxp afcd8000 00:00 0
afcec000-afd7c000 r-xp 00000000 08:02 310190 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
afd7c000-afd...

Read more...

Sebastien Bacher (seb128) wrote :

Looks like a xulrunner-1.9 issue. You also use non official softwares apparently since you have error about epiphany-extensions 2.21 but there is no such tarball upstream nor in ubuntu

Jos Dehaes (jos-dehaes) wrote :

this is true, I'm using epiphany-extensions from SVN, but it doesn't work anyway :-). I'll try without.

Changed in xulrunner-1.9:
status: New → Incomplete
Jos Dehaes (jos-dehaes) wrote :
Download full text (8.6 KiB)

also happens without the epiphany extensions:

jos@hamerkeuh:~$ epiphany

** (epiphany-browser:16489): WARNING **: Could not determine locale 111!

LoadPlugin: failed to initialize shared library /usr/lib/totem/gstreamer/libtotem-complex-plugin.so [/usr/lib/totem/gstreamer/libtotem-complex-plugin.so: undefined symbol: _ZN13nsTArray_base9sEmptyHdrE]
*** glibc detected *** epiphany-browser: double free or corruption (!prev): 0x08b7d7b8 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb6ece975]
/lib/tls/i686/cmov/libc.so.6(cfree+0x90)[0xb6ed23e0]
/usr/lib/xulrunner-1.9b3pre/libmozjs.so[0xb5cdf665]
/usr/lib/xulrunner-1.9b3pre/libmozjs.so[0xb5c9a471]
/usr/lib/xulrunner-1.9b3pre/libmozjs.so(JS_GC+0x3a)[0xb5c711ea]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb4fb60b5]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb59adc80]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb59adcfe]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb54693a9]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb5469687]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb59a3450]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb59a3528]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb59a0467]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb5961e87]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb58af046]
/usr/lib/xulrunner-1.9b3pre/libxul.so[0xb589afcc]
/usr/lib/libglib-2.0.so.0[0xb714337d]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x176)[0xb710ed96]
/usr/lib/libglib-2.0.so.0[0xb7112153]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1e7)[0xb7112537]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0xb78588d4]
epiphany-browser(main+0x74d)[0x807628d]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe0)[0xb6e79450]
epiphany-browser[0x8075851]
======= Memory map: ========
08048000-08158000 r-xp 00000000 08:02 114317 /usr/bin/epiphany-gecko
08158000-08163000 rwxp 0010f000 08:02 114317 /usr/bin/epiphany-gecko
08163000-0906d000 rwxp 08163000 00:00 0 [heap]
afc82000-afc8a000 rwxp afc82000 00:00 0
afc8a000-afcbd000 r-xp 00000000 08:02 979284 /usr/share/fonts/truetype/msttcorefonts/Arial_Italic.ttf
afcbd000-afcbe000 ---p afcbd000 00:00 0
afcbe000-b04be000 rwxp afcbe000 00:00 0
b04be000-b054e000 r-xp 00000000 08:02 310190 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
b054e000-b0570000 r-xp 00000000 08:02 979271 /usr/share/fonts/truetype/msttcorefonts/Verdana_Bold.ttf
b0570000-b0593000 r-xp 00000000 08:02 979294 /usr/share/fonts/truetype/msttcorefonts/Georgia.ttf
b0593000-b059b000 r-xp 00000000 08:02 492299 /usr/share/locale-langpack/en_GB/LC_MESSAGES/totem.mo
b059b000-b05ba000 r-xp 00000000 08:02 979298 /usr/share/fonts/truetype/msttcorefonts/Trebuchet_MS_Bold.ttf
b05ba000-b0600000 r-xp 00000000 08:02 979285 /usr/share/fonts/truetype/msttcorefonts/Arial_Bold.ttf
b0600000-b0646000 rwxp b0600000 00:00 0
b0646000-b0700000 ---p b0646000 00:00 0
b070d000-b0751000 r-xp 00000000 08:02 979287 /usr/share/fonts/truetype/msttcorefonts/Arial.ttf
b0751000-b0755000 r-xp 00000000 08:02 410625 /lib/tls/i686/cmov/libnss_dns-2.7.so
b0755000-b0757000 rwxp 00003000 08:02 410625 /lib/tls/i686/cmov/libnss_dns-2.7.so
b0757000-b0759000 r-xp 00000000 08:02 375458 /lib/libnss_mdns4_minimal.so.2
b07...

Read more...

Alexander Sack (asac) wrote :

do you still see this with everything upgraded to latest (as of today)?

Alexander Sack (asac) wrote :

btw, i cannot reproduce this (with no flash plugin installed)

Jos Dehaes (jos-dehaes) wrote :

It seems to work again. Maybe the xulrunner update fixed it.

Sebastien Bacher (seb128) wrote :

closing the bug since that works correctly now, feel free to reopen if you get the issue again

Changed in xulrunner-1.9:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers